> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a contract enforcement level by id

> Update a contract enforcement level by id



## OpenAPI

````yaml /api-reference/bundled.yaml put /v0/contract/enforcement-level/{id}
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/contract/enforcement-level/{id}:
    put:
      tags:
        - contract
      summary: Update a contract enforcement level by id
      description: Update a contract enforcement level by id
      operationId: putContractEnforcementLevel
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
          description: UUID of the data contract
      requestBody:
        description: Contract enforcement level
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateContractEnforcementLevelRequest'
      responses:
        '200':
          description: Update EnforcementLevel
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractEnforcementLevel'
        '400':
          description: Contract Dependency Deletion Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Enforcement Level Not Found Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    UpdateContractEnforcementLevelRequest:
      type: object
      description: Represents an enforcement level associated with a contract.
      required:
        - enforcementLevel
      properties:
        enforcementLevel:
          type: string
          description: The enforcement level for the contract
          enum:
            - RECORD
            - NOTIFY
            - ALERT
            - BLOCK
            - INACTIVE
    ContractEnforcementLevel:
      type: object
      description: Represents an enforcement level associated with a contract.
      required:
        - id
        - contractId
        - enforcementLevel
        - createdAt
        - updatedAt
      properties:
        id:
          description: >-
            Unique identifier for the contract enforcement level row in UUID
            format
          type: string
          format: uuid
        contractId:
          description: Unique identifier for the associated contract
          type: string
          format: uuid
        createdAt:
          description: Date and time at which the enforcement level was created
          type: string
          format: date-time
        updatedAt:
          description: Date and time at which the enforcement level was last updated
          type: string
          format: date-time
        enforcementLevel:
          description: alert level for contract
          type: string
          default: INACTIVE
          enum:
            - RECORD
            - NOTIFY
            - ALERT
            - BLOCK
            - INACTIVE
          x-enum-varnames:
            - RECORD
            - NOTIFY
            - ALERT
            - BLOCK
            - INACTIVE
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````